Subject: Re: [PATCH] Consolidate udp hash calculations

From: Pavel Emelianov <[email-masked]>
Date: Mon, 07 May 2007 11:07:15 +0400

David Miller wrote:
> From: Pavel Emelianov <[email-masked]>
> Date: Fri, 04 May 2007 18:51:36 +0400
> 
>> Make access to udphash/udplitehash symmetrical to inet hashes.
>>
>> This may also help network namespaces, since they tend to use
>> one hash for different namespaces by selecting the hash chain
>> depending on a hash value and the namespace.
>>
>> Signed-off-by: Pavel Emelianov <[email-masked]>
> 
> This is not the "UDP Hash Function", it is a mask to bring
> the hash value modulo of the hash table size.
> 
> So your function name is misleading and makes the code
> even worse.
> 
> I'm also not so sure this cleanup really adds any clarity,
> even with a proper function name.

The same is applicable to inet_lhashfn and inet_bhashfn, but they
are called hashfn-s and do exist in kernel. This hashfn will make
things look similar.

> I can only assume you wish to do something with the UDP hash table
> sizes, and therefore only want to have a need to touch one function.

You are right, I have told that this must help network namespaces,
by making the hash differ depending on the namespace passed.